# LIBMAWK_CELL_DESTROY

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

## NAME

libmawk_cell_destroy − free all memory associated with a cell

## SYNOPSIS

#include <libmawk.h>

void libmawk_cell_destroy(mawk_state_t *m, CELL *c);

## DESCRIPTION

The libmawk_cell_destroy() function frees all memory allocated to store a mawk cell. It is useful with some of the libmawk calls that return a newly allocated cell, such as the libmawk_call_function() call.

Argument m is a libmawk context previously returned by libmawk_initialize() or libmawk_initialize_stage3().

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_initialize(3libmawk), libmawk_call_function(3libmawk).